- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# QShortcutEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 666 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QShortcutEvent:
[legend]

List of all members.

## Public Member Functions
| QShortcutEvent (const QKeySequence &key, int id, bool ambiguous=false)
| ~QShortcutEvent ()
const QKeySequence & | key ()
const QKeySequence & | key () const
int | shortcutId ()
int | shortcutId () const
bool | isAmbiguous ()
bool | isAmbiguous () const
## Protected Attributes
QKeySequence | sequence
bool | ambig
int | sid

## Constructor & Destructor Documentation

QShortcutEvent | ( | const QKeySequence & | key,
|  | int | id,
|  | bool | ambiguous = `false`
| ) |  |

~QShortcutEvent | ( |  | ) |

## Member Function Documentation

const QKeySequence& key | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 672 of file qevent.h.

    { return sequence; }

const QKeySequence& key | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 673 of file qevent.h.

    { return sequence; }

int shortcutId | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 674 of file qevent.h.

    { return sid; }

int shortcutId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 675 of file qevent.h.

    { return sid; }

bool isAmbiguous | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 676 of file qevent.h.

    { return ambig; }

bool isAmbiguous | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 677 of file qevent.h.

    { return ambig; }

## Member Data Documentation

QKeySequence sequence `[protected]`

Search for all occurrences

Definition at line 679 of file qevent.h.

bool ambig `[protected]`

Search for all occurrences

Definition at line 680 of file qevent.h.

int sid `[protected]`

Search for all occurrences

Definition at line 681 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent
QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent QShortcutEvent